Skip to main content

Trigger WhatsApp Carousel Templates

This endpoint triggers a WhatsApp carousel template for a given mobile number.

Query Parameters
bot string — REQUIRED

The bot ID associated with the template.

Header Parameters
x-api-key string — REQUIRED

API key for authentication.

Content-Type string — REQUIRED

Possible values: [application/json]

Content type of the request.

Request Body — REQUIRED
userDetails object — REQUIRED
number string — REQUIRED

Mobile number to send the template, including the country code.

notification object — REQUIRED
templateId string — REQUIRED

The ID of the carousel template to be triggered.

type string — REQUIRED

Possible values: [whatsapp]

Notification type. For this API, it should be 'whatsapp'.

sender string — REQUIRED

The WhatsApp sender number, including the country code.

params object — REQUIRED
cards object[] — REQUIRED
media object — REQUIRED
mediaLink string — REQUIRED

Link to the media content for the carousel card.

Responses
200

Carousel template successfully triggered.

Schema — OPTIONAL
message string — OPTIONAL
status string — OPTIONAL
400

Bad Request

Schema — OPTIONAL
message string — OPTIONAL
status string — OPTIONAL
401

Unauthorized

Schema — OPTIONAL
message string — OPTIONAL
status string — OPTIONAL
500

Internal Server Error

Schema — OPTIONAL
message string — OPTIONAL
status string — OPTIONAL